> ## Documentation Index
> Fetch the complete documentation index at: https://zerogpu-docs-langchain-video-walkthroughs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# LFM2.5-1.2B-Thinking

> Model details for LFM2.5-1.2B-Thinking.

export const ModelDescription = ({ id }) => {
  const read = () => {
    const store = (typeof window !== "undefined" && window.__zgpuModels) || {};
    return (store.data || []).find((x) => x.modelId === id) || null;
  };
  const [model, setModel] = useState(read);
  useEffect(() => {
    let active = true;
    const refresh = () => {
      if (active) setModel(read());
    };
    const store = window.__zgpuModels;
    if (store && store.data) {
      refresh();
    } else if (store && store.promise) {
      store.promise.then(refresh);
    } else {
      window.addEventListener("zgpu:models-loaded", refresh);
      return () => {
        active = false;
        window.removeEventListener("zgpu:models-loaded", refresh);
      };
    }
    return () => {
      active = false;
    };
  }, []);
  const p = (model && model.pricing) || {};
  const href = (u) => (u || "").replace(/\s+/g, "");
  const refs = [
    [p.model_doc_url, "Model docs"],
    [p.terms_url, "Terms"],
    [p.privacy_service, "Privacy"],
  ].filter((r) => r[0]);
  if (!p.description && !refs.length) return null;
  const refNodes = [];
  refs.forEach((r, i) => {
    if (i) refNodes.push(<span key={"sep" + i}> • </span>);
    refNodes.push(
      <a key={r[1]} href={href(r[0])}>
        {r[1]}
      </a>
    );
  });
  return (
    <>
      {p.description ? <blockquote>{p.description}</blockquote> : null}
      {refNodes.length ? (
        <p>
          <strong>References:</strong> {refNodes}
        </p>
      ) : null}
    </>
  );
};

<ModelDescription id="LFM2.5-1.2B-Thinking" />


## OpenAPI

````yaml api-reference/openapi/playgrounds/LFM2_5-1_2B-Thinking.openapi.json POST /responses
openapi: 3.1.0
info:
  title: LFM2.5-1.2B-Thinking playground
  version: '1.0'
  description: >-
    Interactive playground for **LFM2.5-1.2B-Thinking**.

    Model is always `LFM2.5-1.2B-Thinking` on this page (shown in the form, not
    editable).

    Use the **request example** selector to switch use cases (JSON, NER, PII,
    etc.).

    Authentication: `x-api-key` and `x-project-id`.
servers:
  - url: https://api.zerogpu.ai/v1
    description: Production
security:
  - ApiKey: []
    ProjectId: []
paths:
  /responses:
    post:
      tags:
        - LFM2.5-1.2B-Thinking
      summary: 'LFM2.5-1.2B-Thinking: Responses'
      operationId: createResponse_LFM2_5-1_2B-Thinking
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateResponseRequest'
                - type: object
                  properties:
                    model:
                      type: string
                      const: LFM2.5-1.2B-Thinking
                      default: LFM2.5-1.2B-Thinking
                      example: LFM2.5-1.2B-Thinking
                      description: >-
                        Model identifier (fixed for this playground). Use
                        request examples to change use cases.
            examples:
              default:
                summary: Default
                value:
                  input: What is the capital of Japan
                  model: LFM2.5-1.2B-Thinking
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
              examples:
                default:
                  summary: Default
                  value: >-
                    The capital of Japan is **Tokyo**.


                    **Reasoning:**

                    1. Japan's political, cultural, and economic center is
                    located in Tokyo.

                    2. Historically, Tokyo has served as Japan's...
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '420':
          description: Insufficient quota
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
components:
  schemas:
    CreateResponseRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          const: LFM2.5-1.2B-Thinking
          default: LFM2.5-1.2B-Thinking
          example: LFM2.5-1.2B-Thinking
          description: >-
            Model identifier (fixed for this playground). Use request examples
            to change use cases.
        input:
          type: string
          minLength: 1
          format: textarea
          maxLength: 131072
          description: Multi-line text or document content to send to the model.
        instructions:
          type: string
        metadata:
          type: object
          additionalProperties: true
    Response:
      type: object
      additionalProperties: true
    ErrorResponse:
      type: object
      additionalProperties: true
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
    ProjectId:
      type: apiKey
      in: header
      name: x-project-id

````